Bug 16456 - Add Font Awesome icons to some buttons in Tools module, section Patrons and circulation
Summary: Add Font Awesome icons to some buttons in Tools module, section Patrons and c...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Héctor Eduardo Castro Avalos
QA Contact: Testopia
URL:
Keywords:
Depends on: 16005 16438 16439
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-05 17:37 UTC by Héctor Eduardo Castro Avalos
Modified: 2017-12-07 22:16 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16456: Add Font Awesome icons to some buttons in Tools module, section Patrons and circulation (16.29 KB, patch)
2016-05-05 18:07 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
New look for comments tool (20.68 KB, image/png)
2016-05-05 18:10 UTC, Héctor Eduardo Castro Avalos
Details
New look for tags tool (71.14 KB, image/png)
2016-05-05 18:11 UTC, Héctor Eduardo Castro Avalos
Details
Bug 16456: Add Font Awesome icons to some buttons in Tools module, section Patrons and circulation (18.24 KB, patch)
2016-05-05 20:10 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16456: Add Font Awesome icons to some buttons in Tools module, section Patrons and circulation (16.26 KB, patch)
2016-05-14 05:37 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Add patrons tools (36.62 KB, image/png)
2016-05-14 05:40 UTC, Héctor Eduardo Castro Avalos
Details
Tag Moderation Tool (53.10 KB, image/png)
2016-05-14 05:41 UTC, Héctor Eduardo Castro Avalos
Details
Bug 16456: Add Font Awesome icons to some buttons in Tools module, section Patrons and circulation (16.19 KB, patch)
2016-05-14 05:56 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16456: Add Font Awesome icons to tag result (1.69 KB, patch)
2016-05-14 06:27 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16456: Add Font Awesome icons to some buttons in Tools module, section Patrons and circulation (16.05 KB, patch)
2016-06-06 18:00 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16456: Add Font Awesome icons to tag result (1.73 KB, patch)
2016-06-06 18:00 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16456: Add Font Awesome icons to some buttons in Tools module, section Patrons and circulation (18.20 KB, patch)
2016-06-07 15:56 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Tag tool without clock in Select all pending option (59.27 KB, image/png)
2016-06-07 16:09 UTC, Héctor Eduardo Castro Avalos
Details
Bug 16456: Add Font Awesome icons to some buttons in Tools module, section Patrons and circulation (18.54 KB, patch)
2016-06-10 15:49 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16456: Add Font Awesome icons to some buttons in Tools module, section Patrons and circulation (18.71 KB, patch)
2016-06-10 16:26 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16456: Add Font Awesome icons to some buttons in Tools module, section Patrons and circulation (18.78 KB, patch)
2016-06-14 10:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16456: Reintroduce wording "Delete tag" (2.78 KB, patch)
2016-06-14 10:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Héctor Eduardo Castro Avalos 2016-05-05 17:37:40 UTC
Add Font Awesome Icons to section Patrons and circulation in Tools module
(Save, Upload, Filter, Import)

Also the Tag and Comments tools has been revised to fit with others 
interfaces in Koha.
Comment 1 Héctor Eduardo Castro Avalos 2016-05-05 18:07:40 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-05-05 18:10:03 UTC
Created attachment 51250 [details]
New look for comments tool
Comment 3 Héctor Eduardo Castro Avalos 2016-05-05 18:11:12 UTC Comment hidden (obsolete)
Comment 4 Héctor Eduardo Castro Avalos 2016-05-05 20:10:11 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2016-05-10 16:09:48 UTC
I disagree with some of these choices. These are the existing patterns for button use as I understand them:

https://wiki.koha-community.org/wiki/Interface_patterns#Buttons

> -Patron lists -> New patron List -> Save

In general submit buttons are not styled as Bootstrap buttons and do not have icons attached to them.

> -Patron list -> my_list_saved -> Add patrons -> Remove selected patrons,

There is currently some confusion in how we indicate remove or cancel (See Bug 16005). I think the "trash" icon should be the standard for delete or remove.

> -Import patrons -> Import
> -Overdue notice/status triggers -> Save changes
> -Batch patron modification -> Save
> -Upload patron images -> Upload

I think these are all basic submits button and should be unstyled.

> -Tags -> Apply filter(s), Test, Approved, Reject, Select all, Clear all,

The links under "Terms summary" should not have icons. Icons are attached to controls which trigger actions. These links are for different views of the data.
Comment 6 Héctor Eduardo Castro Avalos 2016-05-14 05:37:33 UTC Comment hidden (obsolete)
Comment 7 Héctor Eduardo Castro Avalos 2016-05-14 05:40:32 UTC
Created attachment 51498 [details]
Add patrons tools
Comment 8 Héctor Eduardo Castro Avalos 2016-05-14 05:41:10 UTC
Created attachment 51499 [details]
Tag Moderation Tool
Comment 9 Héctor Eduardo Castro Avalos 2016-05-14 05:42:12 UTC
Patch changed according with comment #5
Comment 10 Héctor Eduardo Castro Avalos 2016-05-14 05:56:24 UTC Comment hidden (obsolete)
Comment 11 Héctor Eduardo Castro Avalos 2016-05-14 06:27:16 UTC Comment hidden (obsolete)
Comment 12 Aliki Pavlidou 2016-06-03 09:23:40 UTC
Regarding Patrons list the "Select all" and "Clear all" icons are not the same as the "Remove selected patrons" or "Remove selected".
Regarding comments "delete and" icon is not there (of course there are no comments in the test page and this may be the reason).
regarding "Tags", "Test" and "Apply filter(s)" have the same shiny icon!
There are no "Clear all" and "Set TagsModeration to Require", buttons.

The "The Approved", "Rejected", "Pending, and "Total" buttons in the right box are not icons.

Aliki (first try, be kind :) )
Comment 13 Héctor Eduardo Castro Avalos 2016-06-03 14:58:06 UTC
(In reply to Aliki Pavlidou from comment #12)

Hi Aliki thank your for testing

> Regarding Patrons list the "Select all" and "Clear all" icons are not the
> same as the "Remove selected patrons" or "Remove selected".
That was intentionally did it since comment 5 about that I can cite "There is currently some confusion in how we indicate remove or cancel (See Bug 16005). I think the "trash" icon should be the standard for delete or remove." So I can't use the same trash icon for clear button.

> Regarding comments "delete and" icon is not there (of course there are no
> comments in the test page and this may be the reason).
Perhaps I did not write well the test plan "delete and" icon really does not exist, I was refering only to three buttons: "Approve", "Delete", "Unapprove", those buttons shown in two tabs "Approved comments" and "Comments awaiting moderation".

> regarding "Tags", "Test" and "Apply filter(s)" have the same shiny icon!
> There are no "Clear all" and "Set TagsModeration to Require", buttons.
In this point the interface was little changed to reflect the same look as other parts in Koha. If you see before apply patch the leyend for this is "Select: All Pending None" and after is shown like in attach <https://bugs.koha-community.org/bugzilla3/attachment.cgi?id=51499>
Respect to "Set TagsModeration to Require" again I did not explain well, I was refering to set the syspref "TagsModeration" to "Require"

> The "The Approved", "Rejected", "Pending, and "Total" buttons in the right
> box are not icons.
Citing again the comment 5 "The links under "Terms summary" should not have icons. Icons are attached to controls which trigger actions. These links are for different views of the data." So I did not put icons in this right box. Look an obsolete image attached <https://bugs.koha-community.org/bugzilla3/attachment.cgi?id=51251>

At this point I would like to know the opinion of Owen or another QA like Katrin.

Regards
Comment 14 Jonathan Druart 2016-06-06 14:40:47 UTC
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/patron_lists/list.tt
Comment 15 Jonathan Druart 2016-06-06 14:41:33 UTC
Aliki, could you confirm that you signed off the patches on purpose?
Comment 16 Héctor Eduardo Castro Avalos 2016-06-06 18:00:37 UTC Comment hidden (obsolete)
Comment 17 Héctor Eduardo Castro Avalos 2016-06-06 18:00:54 UTC Comment hidden (obsolete)
Comment 18 Héctor Eduardo Castro Avalos 2016-06-06 18:03:43 UTC
Hi Aliki and Jonathan

Bug rebased because commit ed449a5b5be4da03443d214de5806f4a0273227b in bug 16005
Comment 19 Héctor Eduardo Castro Avalos 2016-06-06 18:06:45 UTC
(In reply to Héctor Eduardo Castro Avalos from comment #18)
> Hi Aliki and Jonathan
> 
> Bug rebased because commit ed449a5b5be4da03443d214de5806f4a0273227b in bug
> 16005

I don't know if I can keep the signed-off, Jonathan?

Regards
Comment 20 Jonathan Druart 2016-06-06 19:12:57 UTC
(In reply to Héctor Eduardo Castro Avalos from comment #19)
> I don't know if I can keep the signed-off, Jonathan?

Depends whether the signoff was intentional or not :)
Comment 21 Aliki Pavlidou 2016-06-06 20:13:38 UTC
Sorry guys for the confusion, which status do do you recommend to choose?
Comment 22 Héctor Eduardo Castro Avalos 2016-06-06 20:40:28 UTC
(In reply to Aliki Pavlidou from comment #21)
> Sorry guys for the confusion, which status do do you recommend to choose?

Hi Aliki, the status you used before is the right one.

More info about it is at <https://wiki.koha-community.org/wiki/Development_workflow>

If you are using one of the Sandboxes, you need to read the step 4 of wiki page at <https://wiki.koha-community.org/wiki/Sandboxes#Step_4_:_login>

If you are using git you need to read <https://wiki.koha-community.org/wiki/Git_bz_configuration>, notice that this bug has more than one patch attached to it <https://wiki.koha-community.org/wiki/Git_bz_configuration#Bugs_with_more_than_one_patch>

Regards
Comment 23 Katrin Fischer 2016-06-07 07:59:38 UTC
Ah, I think Jonathan was referring to Aliki's comment#12 - where it sounds a bit like this might need some more work. 

From the screenshot in Hector's response the only one I don't understand is the clock for 'select all pending'?
Comment 24 Héctor Eduardo Castro Avalos 2016-06-07 14:50:41 UTC
(In reply to Katrin Fischer from comment #23)

Hi Katrin

> Ah, I think Jonathan was referring to Aliki's comment#12 - where it sounds a
> bit like this might need some more work.

What part needs more work? Please guide me, I can improve it.

> 
> From the screenshot in Hector's response the only one I don't understand is
> the clock for 'select all pending'?

Owen stated in another bug that if there is not another icon that represent the link, we can leave it without icon, or Do you suggest another icon to represent all pending to approval?
Comment 25 Héctor Eduardo Castro Avalos 2016-06-07 15:56:46 UTC Comment hidden (obsolete)
Comment 26 Héctor Eduardo Castro Avalos 2016-06-07 16:09:11 UTC
Created attachment 52162 [details]
Tag tool without clock in Select all pending option

Hi Aliki

Please re-test and tell me if is Ok, or, I need to improve something else

Regards
Comment 27 Aliki Pavlidou 2016-06-09 15:41:46 UTC
"Tag tool without clock in Select all pending option

Hi Aliki

Please re-test and tell me if is Ok, or, I need to improve something else"

Hi Hector,

to sum it up, you want me to re-test everything on comment no25, or just the "Tag tool"?

Best regards

Aliki
Comment 28 Héctor Eduardo Castro Avalos 2016-06-09 15:47:40 UTC
(In reply to Aliki Pavlidou from comment #27)
> "Tag tool without clock in Select all pending option

Hi Aliki

> to sum it up, you want me to re-test everything on comment no25, or just the
> "Tag tool"?
> 

Yes, just the Tag tool since it is the part that has more changes. But if you want to bear out that all work right, please test all.

Regards
Comment 29 Aliki Pavlidou 2016-06-09 19:24:25 UTC
Dear Hector,

I've checked out as many things as I could. Here is what I've noted:

"-Make some comments in some bib records and goto Tools->Comments
 you will presented with two tabs "Approved comments" and
 "Comments awaiting moderation".
 See the three new buttons: Approve, Delete, Unapprove"

"COMMENTS" tab was not enabled on the bib records, so I’ve changed the:
ADMINISTRATION=>SYSTEM PREFERENCE=>OPAC=>reviewson to Allow
After that I’ve noticed that the "UNAPPROVE" button is missing.

"-Set syspref TagsModeration to Require
This will show all pending tags to review."

GLOBAL SYSTEM PREFERENCE=> ENHANCED CONTENT=>TAGGING I’ve chenged "TAGSENABLED" to Allow but the "TAGS" button was still missing.
Next I’ve changed "TAGSINPUTONDETAIL" to Allow, but again there was no "TAGS" BUTTON on the OPAC bib record.
In both cases there was a "Tag cloud" button at the top, next to the "Advanced search" button, but there were no results after clicking on it.

"-Make some tags in bib records and goto Tools -> Tags."

SEE ABOVE

"-In the new screen look the icons in buttons "Apply filter(s)", "Test", "Approved",
 "Reject". Notice about the new header bar above the DataTable with options: Select all,
  Clear all, Select all pending."

"Apply filter(s)", "Test" => Look the same (SUBMIT BUTTONS)
"Approved","Reject" => “Approved”, "Rejected” are colored blue, they both are in the "Terms summary" box, along with “Pending” and “Total” buttons.

"-Play with filters; Check if terms exist or not in appoved/rejected lists"
"-Play with Terms summary and see if DataTable is working as expected"
"-Click in some term tag with multiple titles"
"-A table with titles tagged with the term is presented"
"-See the new button 'Remove'"
"-Verify if you can remove tag from a selected title."

NO DATA SEE ABOVE


I hope that these are all understandable.

Regards

Aliki
Comment 30 Héctor Eduardo Castro Avalos 2016-06-10 15:03:02 UTC
Hi Aliki

Thank you for testing

I disagree with you, Aliki. I've set a sandbox and I could see all the changes even though I can see the button "unapprove" in "Comments tool" and all the data in "Tools->Tags"

Note that you can see the data if you click in the link Total in section "Terms summary"

In this bug I didn't change nothing that really exist in the Staff Interface. So I only added some Awesome Icons and some Bootstrap buttons.

I accept that in Tag Tool, I've changed some JQuery to reflect a better functionality but that's all.

Please take a look to the sandbox 1 in UNIMARC <http://pro.test1.biblibre.com> with user/password = test/test

You can compare the old interface in sandbox2 <http://pro.test2.biblibre.com> with the same user and password

Regards

PS: I hope nobody change the sandbox1 at least in 24 hours.
Comment 31 Aliki Pavlidou 2016-06-10 15:36:34 UTC
Hi Hector,

Everything looks great! Nice job!

Regards

Aliki
Comment 32 Héctor Eduardo Castro Avalos 2016-06-10 15:49:49 UTC Comment hidden (obsolete)
Comment 33 Marc Véron 2016-06-10 16:26:23 UTC Comment hidden (obsolete)
Comment 34 Jonathan Druart 2016-06-14 10:11:08 UTC
Created attachment 52361 [details] [review]
Bug 16456: Add Font Awesome icons to some buttons in Tools module, section Patrons and circulation

Add Font Awesome Icons to section Patrons and circulation in Tools module.
Also correct a error dialog in JQuery functions

To test:
-Apply patch
-Goto Tools -> Patron list -> my_list_saved -> Add patrons -> Remove selected patrons,
 Clear all, Select all.
-Add new patron list and add some patrons, notice about the trash icon.
-Make some comments in some bib records and goto Tools->Comments
 you will presented with two tabs "Approved comments" and
 "Comments awaiting moderation".
 See the three new buttons: Approve, Delete, Unapprove.
-Set syspref TagsModeration to Require. This will show all pending tags to review.
-Make some tags in bib records and goto Tools -> Tags.
-Notice about the new look.
-In the new screen look the icons in buttons "Apply filter(s)", "Test", "Approved",
 "Reject". Notice about the new header bar above the DataTable with options: Select all,
  Clear all, Select all pending.
-Play with filters; Check if terms exist or not in appoved/rejected lists
-Play with Terms summary and see if DataTable is working as expected
-Click in some term tag with multiple titles
-A table with titles tagged with the term is presented
-See the new button 'Remove'
-Verify if you can remove tag from a selected title.
-Verify that all tools work as expected

NOTE: The Tag and Comments tools has been revised to fit with others
interfaces in Koha.
Bug ammended according with QA comment 5
Bug rebased because bug 16005
Test plan amended for clarity
Clock icon for "Select all pending" removed (QA comment 23).
Fix some forbidden patterns (tab char) in review.tt according by IRC comment
by Marc Veron

Followed test plan, looks and works as expected
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 35 Jonathan Druart 2016-06-14 10:11:13 UTC
Created attachment 52362 [details] [review]
Bug 16456: Reintroduce wording "Delete tag"

"Delete tag" seems more appropriate than "Delete" on this tag, but I may
be wrong.

This patch also removes an extra space.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 36 Kyle M Hall 2016-06-17 15:41:26 UTC
Pushed to master for Koha 16.11, thanks Hector, Jonathan!
Comment 37 Frédéric Demians 2016-06-24 05:47:35 UTC
Pushed in 16.05. Will be in 16.05.01.